<? 
$i = $status['index'];
if( $status['state'] == 'PLAY' ) {
    $s = 'Playing';
} else if( $status['state'] == 'PAUS' ) {
    $s = 'Paused';
} else {
    $s = 'Stopped';
}

$setup = juke_get_setup( $juke );
?>
<table width="100%" cellspacing="2" cellpadding="0" border="0" bgcolor="#000000">
  <tr>
    <td>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tr>
          <td align="left" class="title">
            <nobr>Current Track (<i><?=$s?></i>)</nobr>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td>
      <table width="100%" cellspacing="0" cellpadding="1" border="0">
        <tr>
          <td class="subtitle">
            <nobr><i><?=shorten($playlist[$i]['title'], 14)?></i></nobr><br>
          </td>
          <td align="right" class="subtitle"> 
            <nobr>
              <?
                $cur = $status['time'];
                $tot = $playlist[$status['index']]['length'];
                printf( "[%d:%02d / %d:%02d]", $cur/60, $cur%60, $tot/60, $tot%60 );
              ?>
            </nobr>
          </td>
        </tr>
        <tr>
          <td class="body" colspan="2">
            <nobr><?=shorten($playlist[$i]['artist'], 20)?></nobr><br>
            <nobr><?=shorten($playlist[$i]['album_title'], 20)?></nobr><br>
          </td>
        </tr>
        <tr>
          <td class="subtitle" align="left">
            <? if( $setup['fifo'] == 'ON' ) { ?>
            <img src="images/delete.gif" alt="FIFO On" height="15" width="15" border="0">
            <? } else if( $setup['fifo'] == 'OFF' ) { ?>
            <img src="images/down.gif" alt="FIFO Off" height="15" width="15" border="0">
            <? } ?>
            <? if( $setup['end'] == 'STOP' ) { ?>
            <img src="images/mode-stop.gif" alt="Stop at end" height="15" width="15" border="0">
            <? } else if( $setup['end'] == 'LOOP' ) { ?>
            <img src="images/mode-loop.gif" alt="Loop at end" height="15" width="15" border="0">
            <? } else if( $setup['end'] == 'RANDOM' ) { ?>
            <img src="images/mode-random.gif" alt="Random at end" height="15" width="15" border="0">
            <? } ?>
          </td> 
          <td class="subtitle" align="right">
            <? if( $status['state'] == 'PLAY' ) { ?>
            <a href="playlist.php?action=pause"><img src="images/pause.gif" height="15" width="15" alt="Pause"></a>
            <? } else if( $status['state'] == 'PAUS' ) { ?>
            <a href="playlist.php?action=play"><img src="images/play.gif" height="15" width="15" alt="Play"></a>
            <? } else if( $status['state'] == 'STOP' ) { ?>
            <a href="playlist.php?action=play&index=0"><img src="images/play.gif" height="15" width="15" alt="Play"></a>
            <? } ?>
            <? if( $i > 0 ) { ?>
            <a href="playlist.php?action=play&index=<?=$i-1?>"><img src="images/prev.gif" alt="Prev"></a>
            <? } else { ?>
            <img src="images/prev-gray.gif">
            <? } ?>
            <? if( ($i < count( $playlist ) - 1)  || $endmode != 'STOP' ) { ?>
            <a href="playlist.php?action=play&index=<?=$i+1?>"><img src="images/next.gif" alt="Next"></a>
            <? } else { ?>
            <img src="images/next-gray.gif">
            <? } ?>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br>
